# Uses of Interface
org.opensaml.saml.saml2.core.NameIDMappingRequest

Packages that use NameIDMappingRequest
Package
Description
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of NameIDMappingRequest in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement NameIDMappingRequest
Modifier and Type
Class
Description
`class`
`NameIDMappingRequestImpl`
A concrete implementation of `NameIDMappingRequest`.
Methods in org.opensaml.saml.saml2.core.impl that return NameIDMappingRequest
Modifier and Type
Method
Description
`NameIDMappingRequest`
NameIDMappingRequestBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`NameIDMappingRequest`
NameIDMappingRequestBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of NameIDMappingRequest in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl with parameters of type NameIDMappingRequest
Modifier and Type
Method
Description
`private void`
DecryptNameIDs.`processNameIDMappingRequest(ProfileRequestContext profileRequestContext, NameIDMappingRequest request)`
Decrypt any `EncryptedID` found in a NameIDMappingRequest and replace it with the result.
`private void`
EncryptNameIDs.`processNameIDMappingRequest(NameIDMappingRequest request)`
Encrypt a `NameID` found in a NameIDMappingRequest and replace it with the result.